summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2018-06-12 08:55:39 +0100
committer David Spencer <idlemoor@slackbuilds.org>2018-06-14 01:13:28 +0100
commitd632029e34bc0a5ec410ddecdf527f3dff542691 (patch)
tree80cd1344ae7bbabe6285b0ede842a82c9752146b /games
parent143ec9a37dedc229409fd9928e08b9708a06318d (diff)
downloadslackbuilds-d632029e34bc0a5ec410ddecdf527f3dff542691.tar.gz
slackbuilds-d632029e34bc0a5ec410ddecdf527f3dff542691.tar.xz
games/fortune-game_of_thrones: Added (fortune file).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/fortune-game_of_thrones/README10
-rw-r--r--games/fortune-game_of_thrones/fortune-game_of_thrones.SlackBuild66
-rw-r--r--games/fortune-game_of_thrones/fortune-game_of_thrones.info10
-rw-r--r--games/fortune-game_of_thrones/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/games/fortune-game_of_thrones/README b/games/fortune-game_of_thrones/README
new file mode 100644
index 0000000000..9e5aec2e68
--- /dev/null
+++ b/games/fortune-game_of_thrones/README
@@ -0,0 +1,10 @@
+fortune-game_of_thrones (fortune file)
+
+Quotes from HBO's Game of Thrones TV series, for use with the fortune
+command.
+
+To see Game of Thrones quotes upon login, edit the file
+/etc/profile.d/bsd-games-login-fortune.sh and add "game_of_thrones"
+to the line that reads "fortune fortunes fortunes2 linuxcookie". If
+you want *only* Game of Thrones quotes, make this line read "fortune
+game_of_thrones".
diff --git a/games/fortune-game_of_thrones/fortune-game_of_thrones.SlackBuild b/games/fortune-game_of_thrones/fortune-game_of_thrones.SlackBuild
new file mode 100644
index 0000000000..7d0e98d5fa
--- /dev/null
+++ b/games/fortune-game_of_thrones/fortune-game_of_thrones.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for fortune-game_of_thrones
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# VERSION is the date given on the upstream site, and also the timestamp
+# of the zip file.
+
+PRGNAM=fortune-game_of_thrones
+VERSION=${VERSION:-20170524}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+ARCH=noarch
+
+set -e
+
+# This build doesn't even have an extracted source directory. All files
+# are created in $PKG with correct permissions, no need for a find/chmod.
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+FORTUNEDIR=$PKG/usr/share/games/fortunes
+FORTUNEFILE=game_of_thrones
+ZIPFILE=$CWD/Game_of_Thrones-quotes.zip
+
+# The unzip|fmt pipeline below "succeeds" even if the source is missing, so:
+if [ ! -s $ZIPFILE ]; then
+ echo "*** You forgot to download the source, no soup for you!" 1>&2
+ exit 1
+fi
+
+# The "fmt -s" splits long lines, since the file is full of lines that
+# will wrap in a reasonably-sized terminal.
+mkdir -p $FORTUNEDIR
+unzip -aa -c $ZIPFILE | \
+ fmt -s > $FORTUNEDIR/$FORTUNEFILE
+strfile $FORTUNEDIR/$FORTUNEFILE $FORTUNEDIR/$FORTUNEFILE.dat
+
+# Include my own README since upstream provides no docs at all.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/fortune-game_of_thrones/fortune-game_of_thrones.info b/games/fortune-game_of_thrones/fortune-game_of_thrones.info
new file mode 100644
index 0000000000..0b6686bc55
--- /dev/null
+++ b/games/fortune-game_of_thrones/fortune-game_of_thrones.info
@@ -0,0 +1,10 @@
+PRGNAM="fortune-game_of_thrones"
+VERSION="20170524"
+HOMEPAGE="http://www.innermind.com/software/quotes/files/qfiles.htm"
+DOWNLOAD="http://www.innermind.com/software/quotes/files/Game_of_Thrones-quotes.zip"
+MD5SUM="51e800c75b4e0486482ca4e6a909f0c0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/fortune-game_of_thrones/slack-desc b/games/fortune-game_of_thrones/slack-desc
new file mode 100644
index 0000000000..e05e2d7d32
--- /dev/null
+++ b/games/fortune-game_of_thrones/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fortune-game_of_thrones: fortune-game_of_thrones (fortune file)
+fortune-game_of_thrones:
+fortune-game_of_thrones: Quotes from HBO's Game of Thrones TV series, for use with the fortune
+fortune-game_of_thrones: command.
+fortune-game_of_thrones:
+fortune-game_of_thrones: To see Game of Thrones quotes upon login, edit the file
+fortune-game_of_thrones: /etc/profile.d/bsd-games-login-fortune.sh and add "game_of_thrones"
+fortune-game_of_thrones: to the line that reads "fortune fortunes fortunes2 linuxcookie". If
+fortune-game_of_thrones: you want *only* Game of Thrones quotes, make this line read "fortune
+fortune-game_of_thrones: game_of_thrones".
+fortune-game_of_thrones: